#!/bin/bash
[ -d ${HOME}/.kube/ ] || mkdir ${HOME}/.kube/

# Install a default kubeconfig if it does not exist
if [ ! -f ${HOME}/.kube/config ]; then
cat << 'EOF' >> "${HOME}/.kube/config"
apiVersion: v1
clusters:
- cluster:
    certificate-authority-data: {{ cert_auth_data }}
    server: https://{{ kube_api_server }}:6443
  name: {{ cluster_name }}
contexts:
- context:
    cluster: {{ cluster_name }}
    namespace: adm-it-yournamespace
    user: user@{{ cluster_name }}
  name: {{ cluster_name }}
current-context: {{ cluster_name }}
kind: Config
preferences: {}
users:
- name: user@{{ cluster_name }}
  user:
    exec:
      apiVersion: client.authentication.k8s.io/v1beta1
      args:
      - oidc-login
      - get-token
#      - -v1
      - --oidc-issuer-url={{ oidc_issuer_url }}
      - --oidc-client-id=kubelogin
      - --oidc-client-secret={{ oidc_client_secret }}
      - --oidc-extra-scope=email
      - --oidc-extra-scope=groups
      - --listen-address=127.0.0.1:OIDC_PORT
      command: kubectl
      env: null
      interactiveMode: IfAvailable
      provideClusterInfo: false
EOF
/usr/bin/chmod og-rwx ${HOME}/.kube/config
fi
